Package org.jbpm.process.workitem.core

## Class AbstractLogOrThrowWorkItemHandler

- java.lang.Object
- - org.jbpm.process.workitem.core.AbstractLogOrThrowWorkItemHandler

- All Implemented Interfaces:
    `org.kie.api.runtime.process.WorkItemHandler`
  Direct Known Subclasses:
    `AbstractRuleTaskHandler`, `EmailWorkItemHandler`, `JMSSendTaskWorkItemHandler`, `RESTWorkItemHandler`, `ServiceTaskHandler`, `WebServiceWorkItemHandler`

      public abstract class AbstractLogOrThrowWorkItemHandler
      extends Object
      implements org.kie.api.runtime.process.WorkItemHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `handlingProcessId` |
    `protected String` | `handlingStrategy` |
    `protected boolean` | `logThrownException` |
    `protected int` | `retries` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractLogOrThrowWorkItemHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected WorkItemNodeInstance` | `findNodeInstance​(long workItemId, org.kie.api.runtime.process.NodeInstanceContainer container)` |
    `protected void` | `handleException​(Throwable cause)` |
    `protected void` | `handleException​(Throwable cause, Map<String,​Object> handlerInfoMap)` |
    `void` | `setLogThrownException​(boolean logException)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.runtime.process.WorkItemHandler

      `abortWorkItem, executeWorkItem`

- - ### Field Detail

    - #### logThrownException

          protected boolean logThrownException

    - #### handlingProcessId

          protected String handlingProcessId

    - #### handlingStrategy

          protected String handlingStrategy

    - #### retries

          protected int retries

  - ### Constructor Detail

    - #### AbstractLogOrThrowWorkItemHandler

          public AbstractLogOrThrowWorkItemHandler()

  - ### Method Detail

    - #### setLogThrownException

          public void setLogThrownException​(boolean logException)

    - #### handleException

          protected void handleException​(Throwable cause)

    - #### handleException

          protected void handleException​(Throwable cause,
                                         Map<String,​Object> handlerInfoMap)

    - #### findNodeInstance

          protected WorkItemNodeInstance findNodeInstance​(long workItemId,
                                                          org.kie.api.runtime.process.NodeInstanceContainer container)